%define upstream_name	 Cflow
%define upstream_version 1.053

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Find ``interesting'' flows in raw IP flow files
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://net.doit.wisc.edu/~plonka/%{upstream_name}/
Source0:	http://net.doit.wisc.edu/~plonka/%{upstream_name}/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel


%description
This package is of little use on its own. It requires input in the form of
time-stamped raw flow files produced by other software packages. These ``flow
sources'' either snoop a local ethernet (via libpcap) or collect flow
information from IP routers that are configured to export said information. The
following flow sources are supported:

argus by Carter Bullard: 
   http://www.qosient.com/argus/

flow-tools by Mark Fullmer (with NetFlow v1, v5, v6, or v7):
   http://www.splintered.net/sw/flow-tools/

CAIDA's cflowd (with NetFlow v5):
   http://www.caida.org/tools/measurement/cflowd/
   http://net.doit.wisc.edu/~plonka/cflowd/

lfapd by Steve Premeau (with LFAPv4):
   http://www.nmops.org/


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -Rf %{buildroot}
%makeinstall_std

%check
make test

%clean
rm -Rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorarch}/auto/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}.pm
%{_mandir}/man?/*
%{_bindir}/flowdumper


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.53.0-11.mga3
+ Revision: 364162
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.53.0-10.mga3
+ Revision: 250317
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.53.0-9.mga2
+ Revision: 103612
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.53.0-8.mga1
+ Revision: 29856
- mageia rebuild
- imported package perl-Cflow

